This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1022575 - [UTF-8] Doc group titles and descriptions on splash pages garbled in non-latin scripts
[UTF-8] Doc group titles and descriptions on splash pages garbled in non-lati...
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 10:47 EDT by Ruediger Landmann
Modified: 2013-12-18 21:46 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample SRPM (231.13 KB, application/x-rpm)
2013-10-23 10:47 EDT, Ruediger Landmann
no flags Details

  None (edit)
Description Ruediger Landmann 2013-10-23 10:47:48 EDT
Created attachment 815442 [details]
Sample SRPM

Description of problem:
The new docs group titles and descriptions implemented for Publican 4.0 are garbled in languages written in a non-latin script

Version-Release number of selected component (if applicable):
publican-3.9.9-0.fc19.t18.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create a product splash page package with a Groups.xml file
2. Translate the Groups.xml file into a language with a non-Latin script
3. Install the product splash page and a suitable doc

Actual results:
Title and heading in the Non-latin language are garbled -- here's an example from Japanese:

 政権 のRed Hat Enterprise Linuxを実行しているシステムの管理と保守 

Expected results:
Japanese script appears

Additional info:
The entries look fine in the template in /usr/share/publican/templates, but are mangled when the splash page is generated.
Comment 3 Jeff Fearn 2013-10-25 00:19:41 EDT
Link to splash page source with this file translated plz.
Comment 4 HSS Product Manager 2013-10-25 00:27:31 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 5 Jeff Fearn 2013-10-25 01:19:58 EDT
To ssh://git.fedorahosted.org/git/publican.git
   38ac140..9f1135a  devel -> devel
Comment 6 Ruediger Landmann 2013-10-25 20:38:01 EDT
Fixed in publican-3.9.9-0.fc19.t20.noarch

Note You need to log in before you can comment on or make changes to this bug.